Subject: Re: can't compile wget and lapack++
From: Corinna Vinschen <[email-masked]>
To: Jonas Jensen <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 30 Jun 2000 23:59:27 +0200

Jonas Jensen wrote:
> 
> > >Wget has a linkage problem : ftp.o (..........) undefined reference to
> > >'h_errno'
> > These would be porting problems.  You should look at the code for these
> > two packages and see where the problem is.  In addition, I know wget has
> > been ported before.
> 
> I managed to compile wget by passing 0, rather than h_errno. This makes it say
> "unknown error" rather than "cannot resolve host" when it can't connect. I'm sure
> there is a better way to do it, but....this one's very easy :-)

Uhmm, wouldn't it be better just to add

	#include <netdb.h>

which is the file which defines h_errno just like in other
OSes. It's not really a porting problem but the too relaxed
handling of external `int' type variables by some programmers.

The same problem is often found with `errno'.

Corinna

-- 
Corinna Vinschen
Cygwin Developer
Cygnus Solutions, a Red Hat company

--
Want to unsubscribe from this list?
Send a message to [email-masked]